Uploaded image for project: 'Kuali Rice Development'
  1. Kuali Rice Development
  2. KULRICE-4459

Set up CI environment to compile and run Rice 1.0.3 under Java 5

    Details

    • Type: Task
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.0.3
    • Component/s: Unit Testing
    • Labels:
      None
    • KAI Review Status:
      Not Required
    • KTI Review Status:
      Not Required

      Description

      We need to support java 5 for Rice 1.0.3, but currently our CI is running using Java 6 (I believe).

      So we should set up a java 5 CI environment to run our 1.0.3 tests with. I think we just need to run the tests with java 5 against either mysql or oracle, but running against both is probably not necessary.

        Attachments

          Activity

          Hide
          gtaylor Garey Taylor added a comment - - edited

          UT-1.0.3-mysql = java 1.6.0_16
          UT-1.0.3-oracle = java 1.5.0_21
          UT-1.1.0-oracle = java 1.6.0_16
          UT-1.1.0-mysql-5.1.37 = java 1.6.0_16

          Show
          gtaylor Garey Taylor added a comment - - edited UT-1.0.3-mysql = java 1.6.0_16 UT-1.0.3-oracle = java 1.5.0_21 UT-1.1.0-oracle = java 1.6.0_16 UT-1.1.0-mysql-5.1.37 = java 1.6.0_16

            People

            • Assignee:
              gtaylor Garey Taylor
              Reporter:
              ewestfal Eric Westfall
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 2 hours
                2h
                Remaining:
                Remaining Estimate - 2 hours
                2h
                Logged:
                Time Spent - Not Specified
                Not Specified